import { JavaObject } from '../../../java/lang/JavaObject';
export declare class KursblockungOutputFachwahlZuKurs extends JavaObject {
    enmRevision: number;
    fachwahl: number;
    kurs: number;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): KursblockungOutputFachwahlZuKurs;
    static transpilerToJSON(obj: KursblockungOutputFachwahlZuKurs): string;
    static transpilerToJSONPatch(obj: Partial<KursblockungOutputFachwahlZuKurs>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_kursblockung_KursblockungOutputFachwahlZuKurs(obj: unknown): KursblockungOutputFachwahlZuKurs;
